/*变动类型 预置*/
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1030_S' , FORINAME = '协作关系变更' , FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1020_S' , FORINAME = '属性变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1050_S' , FORINAME = '初始化', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1040_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBPM_CHANGETYPE SET FORINUMBER = '1060_S' , FORINAME = '修订', FORISTATUS = '0' WHERE FID = 1060;
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '协作关系变更' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '属性变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '初始化' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '禁用' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGETYPE_L SET FORINAME = '修订' WHERE FID = 1060 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_CHANGETYPE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050,1060) and (fname != foriname or fnumber!=forinumber);

/*变动操作 预置*/
UPDATE T_HBPM_CHANGEOPERATE SET FORINUMBER = '1030_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_CHANGEOPERATE SET FORINUMBER = '1020_S' , FORINAME = '变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBPM_CHANGEOPERATE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_CHANGEOPERATE SET FORINUMBER = '1040_S' , FORINAME = '修订', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBPM_CHANGEOPERATE_L SET FORINAME = '禁用' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGEOPERATE_L SET FORINAME = '变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGEOPERATE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGEOPERATE_L SET FORINAME = '修订' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_CHANGEOPERATE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040) and (fname != foriname or fnumber!=forinumber);

/*变动场景 预置*/
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1050_S' , FORINAME = '初始化新增', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1040_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1020_S' , FORINAME = '属性变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1030_S' , FORINAME = '协作关系变更', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1060_S' , FORINAME = '初始化禁用', FORISTATUS = '0' WHERE FID = 1060;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1080_S' , FORINAME = '修订', FORISTATUS = '0' WHERE FID = 1080;
UPDATE T_HBPM_CHANGESCENE SET FORINUMBER = '1070_S' , FORINAME = '启用', FORISTATUS = '0' WHERE FID = 1070;
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '初始化新增' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '禁用' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '属性变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '协作关系变更' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '初始化禁用' WHERE FID = 1060 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '修订' WHERE FID = 1080 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_CHANGESCENE_L SET FORINAME = '启用' WHERE FID = 1070 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_CHANGESCENE SET foristatus = '1' WHERE  FID in (1010,1020,1030,1040,1050,1060,1070,1080) and (fname != foriname or fnumber!=forinumber);

/*角色协作类型 预置*/
UPDATE T_HBPM_REPORTRELTYPE SET FORINUMBER = '1010_S' , FORINAME = '行政', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_REPORTRELTYPE_L SET FORINAME = '行政' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_REPORTRELTYPE SET foristatus = '1' WHERE  FID in (1010) and (fname != foriname or fnumber!=forinumber);

/*角色类别 预置*/
UPDATE T_HBPM_ROLETYPE SET FORINUMBER = '1030_S' , FORINAME = '服务类', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_ROLETYPE SET FORINUMBER = '1020_S' , FORINAME = '工作协作类', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBPM_ROLETYPE SET FORINUMBER = '1010_S' , FORINAME = '负责类', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_ROLETYPE_L SET FORINAME = '服务类' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLETYPE_L SET FORINAME = '工作协作类' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLETYPE_L SET FORINAME = '负责类' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_ROLETYPE SET foristatus = '1' WHERE  FID in (1010,1020,1030) and (fname != foriname or fnumber!=forinumber);

/*角色变动类型 预置*/
UPDATE T_HBPM_ROLECHANGETYPE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_ROLECHANGETYPE SET FORINUMBER = '1030_S' , FORINAME = '信息变更', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_ROLECHANGETYPE SET FORINUMBER = '1040_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBPM_ROLECHANGETYPE SET FORINUMBER = '1050_S' , FORINAME = '初始化', FORISTATUS = '0' WHERE FID = 1050;
UPDATE T_HBPM_ROLECHANGETYPE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGETYPE_L SET FORINAME = '信息变更' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGETYPE_L SET FORINAME = '禁用' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGETYPE_L SET FORINAME = '初始化' WHERE FID = 1050 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_ROLECHANGETYPE SET foristatus = '1' WHERE  FID in (1010,1030,1040,1050) and (fname != foriname or fnumber!=forinumber);

/*角色变动操作 预置*/
UPDATE T_HBPM_ROLECHANGEOPERATE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_ROLECHANGEOPERATE SET FORINUMBER = '1030_S' , FORINAME = '信息变更', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_ROLECHANGEOPERATE SET FORINUMBER = '1040_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1040;
UPDATE T_HBPM_ROLECHANGEOPERATE SET FORINUMBER = '1060_S' , FORINAME = '协作关系变更', FORISTATUS = '0' WHERE FID = 1060;
UPDATE T_HBPM_ROLECHANGEOPERATE SET FORINUMBER = '1070_S' , FORINAME = '引入角色方案', FORISTATUS = '0' WHERE FID = 1070;
UPDATE T_HBPM_ROLECHANGEOPERATE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGEOPERATE_L SET FORINAME = '信息变更' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGEOPERATE_L SET FORINAME = '禁用' WHERE FID = 1040 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGEOPERATE_L SET FORINAME = '协作关系变更' WHERE FID = 1060 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_ROLECHANGEOPERATE_L SET FORINAME = '引入角色方案' WHERE FID = 1070 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_ROLECHANGEOPERATE SET foristatus = '1' WHERE  FID in (1010,1030,1040,1060,1070) and (fname != foriname or fnumber!=forinumber);

/*角色变动场景 预置*/
UPDATE T_HBPM_PRCHANGESCENE SET FORINUMBER = '1020_S' , FORINAME = '信息变更', FORISTATUS = '0' WHERE FID = 1020;
UPDATE T_HBPM_PRCHANGESCENE SET FORINUMBER = '1010_S' , FORINAME = '新增', FORISTATUS = '0' WHERE FID = 1010;
UPDATE T_HBPM_PRCHANGESCENE SET FORINUMBER = '1030_S' , FORINAME = '禁用', FORISTATUS = '0' WHERE FID = 1030;
UPDATE T_HBPM_PRCHANGESCENE_L SET FORINAME = '信息变更' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_PRCHANGESCENE_L SET FORINAME = '新增' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE T_HBPM_PRCHANGESCENE_L SET FORINAME = '禁用' WHERE FID = 1030 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_PRCHANGESCENE SET foristatus = '1' WHERE  FID in (1010,1020,1030) and (fname != foriname or fnumber!=forinumber);

/*岗位类型 预置*/
UPDATE T_HBPM_POSITIONTYPE SET FORINUMBER = '1362283018865147904' , FORINAME = '职位', FORISTATUS = '0' WHERE FID = 1001;
UPDATE T_HBPM_POSITIONTYPE_L SET FORINAME = '职位' WHERE FID = 1001 AND FLOCALEID = 'zh_CN';
UPDATE t_hbpm_positiontype SET FORINUMBER = '1010_S' , FORINAME = '管理岗' , FORISTATUS = '0' WHERE FID = 1010;
UPDATE t_hbpm_positiontype_l SET FORINAME = '管理岗' WHERE FID = 1010 AND FLOCALEID = 'zh_CN';
UPDATE t_hbpm_positiontype SET FORINUMBER = '1020_S' , FORINAME = '非管理岗' , FORISTATUS = '0' WHERE FID = 1020;
UPDATE t_hbpm_positiontype_l SET FORINAME = '非管理岗' WHERE FID = 1020 AND FLOCALEID = 'zh_CN';

UPDATE T_HBPM_POSITIONTYPE SET foristatus = '1' WHERE  FID in (1010,1020,1001) and (fname != foriname or fnumber!=forinumber);












